Java.com

Pobieranie Pomoc

Wersja do druku

Dlaczego należy odinstalować starsze wersje oprogramowania Java z systemu?


Artykuł dotyczy:
  • Platformy: Windows 7, Windows 8, Windows XP, Windows 10, Windows 2008 Server, Windows Server 2012, Windows Vista

Użytkownicy systemu Windows: Bezpieczeństwo komputera można poprawić, wykrywając i usuwając stare wersje oprogramowania Java podczas instalacji środowiska Java 8 (8u20 i wersje nowsze) bądź za pomocą narzędzia Java Uninstall.

» Więcej informacji o narzędziu Java Uninstall
» Rozwiązywanie problemów - narzędzie odinstalowujące

Zawsze jest zalecana najnowsza wersja oprogramowania Java, ponieważ zawiera ona aktualizacje funkcji, eliminuje luki oraz poprawia wydajność w porównaniu ze starszymi wersjami. Odwiedzając stronę weryfikacji oprogramowania Java lub sprawdzając ręcznie wersję oprogramowania Java, można ustalić, czy jest używana najnowsza wersja.

Czy należy odinstalować starsze wersje oprogramowania Java?

Zdecydowanie zalecamy odinstalowanie wszystkich starszych wersji oprogramowania Java z systemu.
Utrzymywanie w systemie starych wersji oprogramowania Java może stanowić poważne zagrożenie bezpieczeństwa.
Odinstalowując z systemu starsze wersje oprogramowania Java, uzyskuje się pewność, że aplikacje Java będą działać z wykorzystaniem najnowszych poprawek z zakresu bezpieczeństwa i wydajności.

Jak można usunąć starsze wersje oprogramowania Java?

Użytkownicy systemu Windows mogą bezpiecznie odinstalować starsze wersje oprogramowania Java:

Jak usunąć oprogramowanie Java z komputera?

Windows: Wersje oprogramowania Java można odinstalować ręcznie, postępując identycznie jak w przypadku odinstalowywania jakiegokolwiek innego oprogramowania z systemu Windows. Odpowiednie instrukcje są zawarte na stronie opisującej ręczne odinstalowywanie oprogramowania Java z systemu Windows.
» Instrukcje odinstalowywania oprogramowania Java z systemu Mac
» Instrukcje odinstalowywania oprogramowania Java z systemu Linux

Czy potrzebne są starsze wersje oprogramowania Java?

Najnowsza dostępna wersja jest zgodna z wersjami starszymi. Jednak niektóre aplikacje Java (lub aplety) mogą być zależne od określonej wersji i nie będą działać, jeśli ta wersja nie jest zainstalowana. Jeśli używana aplikacja lub strona internetowa wymaga starszej wersji oprogramowania Java, należy zgłosić to dostawcy/programiście i poprosić o uaktualnienie aplikacji w celu zapewnienia zgodności ze wszystkimi wersjami oprogramowania Java.


To może również zainteresować:




Wybór języka | Java - informacje | Asysta Techniczna | Programiści
Prywatność  | Warunki korzystania | Znaki towarowe | Zastrzeżenie

Oracle